CREATE TABLE `common_company_identity` (
  `com_id` varchar(32) COLLATE utf8_bin NOT NULL COMMENT '公司id',
  `identity_id` varchar(32) COLLATE utf8_bin NOT NULL COMMENT '身份认证表id',
  `delete_flag` char(1) COLLATE utf8_bin NOT NULL DEFAULT '0' COMMENT '删除标识',
  `update_count` bigint(20) NOT NULL DEFAULT '0' COMMENT '更新次数',
  `create_date` datetime NOT NULL COMMENT '作成年月日',
  `create_user_id` varchar(50) COLLATE utf8_bin NOT NULL COMMENT '作成用户ID',
  `update_date` datetime NOT NULL COMMENT '更新年月日',
  `update_user_id` varchar(50) COLLATE utf8_bin NOT NULL COMMENT '更新用户ID',
  `update_flag` char(1) COLLATE utf8_bin NOT NULL DEFAULT '0' COMMENT '更新标识',
  `now_version_no` bigint(20) NOT NULL DEFAULT '1' COMMENT '当前版本号',
  `prev_version_no` bigint(20) NOT NULL DEFAULT '0' COMMENT '更新前版本号',
  KEY `com_id_index` (`com_id`,`identity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='公司、粮商身份关系表';

CREATE TABLE `purchase_price` (
  `id` varchar(32) NOT NULL COMMENT '主键',
  `warehouse_id` varchar(32) DEFAULT NULL COMMENT '仓库id',
  `warehouse_name` varchar(100) DEFAULT NULL COMMENT '仓库名',
  `comp_id` varchar(32) DEFAULT NULL COMMENT '公司id',
  `goods_name_key` varchar(20) DEFAULT NULL COMMENT '货名key',
  `goods_name` varchar(100) DEFAULT NULL COMMENT '货名',
  `water_base` float(11,4) DEFAULT NULL COMMENT '基准水分（%）',
  `deduct_weight` float(11,4) DEFAULT NULL COMMENT '扣重比',
  `water_min` float(11,4) DEFAULT NULL COMMENT '水分下限（%）',
  `water_max` float(11,4) DEFAULT NULL COMMENT '水分上限（%）',
  `sale_limit` float(11,4) DEFAULT '500.0000' COMMENT '销售上限（吨/年）',
  `status_flag` varchar(10) DEFAULT NULL COMMENT '状态标识',
  `status` varchar(50) DEFAULT NULL COMMENT '状态',
  `pass_date` datetime DEFAULT NULL COMMENT '通过时间',
  `delete_flag` char(1) NOT NULL DEFAULT '0' COMMENT '删除标识',
  `update_count` bigint(20) NOT NULL DEFAULT '0' COMMENT '更新次数',
  `create_date` datetime NOT NULL COMMENT '作成年月日',
  `create_user_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '作成用户ID',
  `update_date` datetime NOT NULL COMMENT '更新年月日',
  `update_user_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '更新用户ID',
  `update_flag` char(1) NOT NULL DEFAULT '0' COMMENT '更新标识',
  `now_version_no` bigint(20) NOT NULL DEFAULT '1' COMMENT '当前版本号',
  `prev_version_no` bigint(20) NOT NULL DEFAULT '0' COMMENT '更新前版本号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='库内自采价格主表';

CREATE TABLE `purchase_price_detail` (
  `id` varchar(32) NOT NULL COMMENT '主键',
  `main_id` varchar(32) DEFAULT NULL COMMENT '主表id',
  `comp_id` varchar(32) DEFAULT NULL COMMENT '公司id',
  `base_price` float(11,4) DEFAULT NULL COMMENT '基准单价（元/公斤）',
  `level` varchar(50) DEFAULT NULL COMMENT '等级',
  `point` varchar(100) DEFAULT NULL COMMENT '分界数组（以,区分）',
  `point_price` varchar(100) DEFAULT NULL COMMENT '分界价格数组（以,区分）',
  `delete_flag` char(1) NOT NULL DEFAULT '0' COMMENT '删除标识',
  `update_count` bigint(20) NOT NULL DEFAULT '0' COMMENT '更新次数',
  `create_date` datetime NOT NULL COMMENT '作成年月日',
  `create_user_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '作成用户ID',
  `update_date` datetime NOT NULL COMMENT '更新年月日',
  `update_user_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '更新用户ID',
  `update_flag` char(1) NOT NULL DEFAULT '0' COMMENT '更新标识',
  `now_version_no` bigint(20) NOT NULL DEFAULT '1' COMMENT '当前版本号',
  `prev_version_no` bigint(20) NOT NULL DEFAULT '0' COMMENT '更新前版本号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='库内自采价格明细表';

CREATE TABLE `purchase_price_detail_print` (
  `id` varchar(32) NOT NULL COMMENT '主键',
  `main_id` varchar(32) DEFAULT NULL COMMENT '主表id',
  `comp_id` varchar(32) DEFAULT NULL COMMENT '公司id',
  `water_min` float(11,4) DEFAULT NULL COMMENT '水分下限（%）',
  `water_max` float(11,4) DEFAULT NULL COMMENT '水分上限（%）',
  `price1` float(11,4) DEFAULT NULL COMMENT '一等单价',
  `price2` float(11,4) DEFAULT NULL COMMENT '二等单价',
  `price3` float(11,4) DEFAULT NULL COMMENT '三等单价',
  `price_other` float(11,4) DEFAULT NULL COMMENT '等外单价',
  `delete_flag` char(1) NOT NULL DEFAULT '0' COMMENT '删除标识',
  `update_count` bigint(20) NOT NULL DEFAULT '0' COMMENT '更新次数',
  `create_date` datetime NOT NULL COMMENT '作成年月日',
  `create_user_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '作成用户ID',
  `update_date` datetime NOT NULL COMMENT '更新年月日',
  `update_user_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '更新用户ID',
  `update_flag` char(1) NOT NULL DEFAULT '0' COMMENT '更新标识',
  `now_version_no` bigint(20) NOT NULL DEFAULT '1' COMMENT '当前版本号',
  `prev_version_no` bigint(20) NOT NULL DEFAULT '0' COMMENT '更新前版本号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='库内自采价格明细表（打印）';