CREATE TABLE `quality_inspection_management` (
  `id` varchar(32) NOT NULL COMMENT '主键',
  `relation_id` varchar(32) DEFAULT NULL COMMENT '关联id',
  `quality_no` varchar(200) DEFAULT NULL COMMENT '质检编号',  
  `customer_name` varchar(200) DEFAULT NULL COMMENT '客户',
  `customer_phone` varchar(20) DEFAULT NULL COMMENT '客户电话',
  `quality_inspector` varchar(100) DEFAULT NULL COMMENT '质检员',
  `car_number` varchar(20) DEFAULT NULL COMMENT '车牌号',
  `contacts` varchar(200) DEFAULT NULL COMMENT '联系人',
  `receiving_unit` varchar(200) DEFAULT NULL COMMENT '收货单位',
  `contacts_phone` varchar(20) DEFAULT NULL COMMENT '联系人电话',
  `warehouse_name` varchar(200) DEFAULT NULL COMMENT '仓库名称',
  `buckleweight_ratio` float(11,4) DEFAULT NULL COMMENT '扣重比',
  `goods_name_key` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '货名key',
  `goods_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '货名',
  `tidalgrain_price` float(11,4) DEFAULT NULL COMMENT '潮粮单价（元/吨）',
  `bin_number` varchar(200) DEFAULT NULL COMMENT '仓位编号',
  `storagetag_no` varchar(200) DEFAULT NULL COMMENT '囤位编号',
  `quality_date` datetime NOT NULL COMMENT '质检时间',
  `status_flag` varchar(10) DEFAULT NULL COMMENT '状态标识',
  `status` varchar(50) DEFAULT NULL COMMENT '状态(1已质检3已称毛重5已称皮重)',
  `status_en` varchar(50) DEFAULT NULL COMMENT '状态英文',
  `water_content` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '水分',
  `impurity` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '杂质',
  `mildew_grain` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '霉变粒',
  `imperfect_grain` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '不完善粒',
  `bulk_density` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '容重',
  `jiaorenli` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '热损伤',
  `grade_key` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '等级key',
  `grade` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '等级',
  `delete_flag` char(1) NOT NULL DEFAULT '0' COMMENT '删除标识',
  `update_count` bigint(20) NOT NULL DEFAULT '0' COMMENT '更新次数',
  `create_date` datetime NOT NULL COMMENT '作成年月日',
  `create_user_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '作成用户ID',
  `update_date` datetime NOT NULL COMMENT '更新年月日',
  `update_user_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '更新用户ID',
  `update_flag` char(1) NOT NULL DEFAULT '0' COMMENT '更新标识',
  `now_version_no` bigint(20) NOT NULL DEFAULT '1' COMMENT '当前版本号',
  `prev_version_no` bigint(20) NOT NULL DEFAULT '0' COMMENT '更新前版本号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='记录质检管理数据信息';
